<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/popup/_popup_title.xhtml">
        <ui:param name="popup_id" value="displayOrders"/>
        <ui:define name="popup_title">#{messages['gazelle.ordermanager.MatchingWOS_2']}</ui:define>
        <s:div id="awosPopupContent">
            <s:div rendered="#{empty wosQueryContentManager.selectedQuery.matchingOrders}" id="noWosDiv">
                <h:outputText
                        value="#{messages['gazelle.ordermanager.ThisQueryDoesNotMatchAnyOfTheWOSKnownByTheAnalyz']}"
                        styleClass="help-block"/>
                <br/>
                <br/>
                <s:div rendered="#{not wosQueryContentManager.displayListOfSut}">
                    <a4j:commandButton value="#{messages['gazelle.HL7Common.Back']}" styleClass="gzl-btn"
                                       actionListener="#{wosQueryContentManager.setSelectedQuery(null)}"
                                       oncomplete="jq162('#displayOrders').modal('hide');"
                                       render="queryTable"/>
                    <a4j:commandLink value="#{messages['gazelle.ordermanager.CreateAWOSForThisContainer']}"
                                     action="#{wosQueryContentManager.createAWOSForQuery()}"
                                     styleClass="gzl-btn-blue"/>
                    <a4j:commandButton value="#{messages['gazelle.ordermanager.SendANegativeQueryResponse']}"
                                       actionListener="#{wosQueryContentManager.setDisplayListOfSut(true)}"
                                       render="noWosDiv"
                                       styleClass="gzl-btn-blue"/>
                </s:div>
                <s:div rendered="#{wosQueryContentManager.displayListOfSut}">
                    <h:outputText value="#{messages['gazelle.ordermanager.YouAreAboutToSendANegativeQueryResponseMessage']}"/>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['gazelle.ordermanager.SystemUnderTest']}</ui:define>
                        <ui:param name="id" value="sutSelection"/>
                        <h:selectOneMenu id="sutSelection" value="#{wosQueryContentManager.sut}"
                                         styleClass="form-control">
                            <s:selectItems
                                    value="#{hl7v2ResponderSUTConfiguration.getAllConfigurationsForSelection('LAB-28', 'MLLP')}"
                                    var="sut" label="#{sut.name}"
                                    noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"/>
                            <a4j:ajax event="change" render="sutSelection" execute="@this"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <a4j:commandButton value="#{messages['gazelle.ordermanager.Send']}"
                                       action="#{wosQueryContentManager.sendNegativeQueryResponse()}"
                                       styleClass="gzl-btn-blue"
                                       oncomplete="jq162('#displayOrders').modal('hide');"/>
                </s:div>
            </s:div>
            <s:div rendered="#{not empty wosQueryContentManager.selectedQuery.matchingOrders}">
                <h:outputText
                        value="#{messages['gazelle.ordermanager.FindBelowTheListOfWOSMatchingTheQueryAccessThemB']}"
                        styleClass="help-block"/>
                <br/>
                <rich:list value="#{wosQueryContentManager.selectedQuery.matchingOrders}" var="o"
                           type="unordered">
                    <h:commandLink value="#{messages['gazelle.ordermanager.Order']} # #{o.id}" action="#{wosQueryContentManager.displayAWOS(o)}"/>
                </rich:list>
            </s:div>
        </s:div>
    </ui:decorate>
</ui:composition>